> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List cash flow statements



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/companies/{companyId}/cash_flow_statements
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/companies/{companyId}/cash_flow_statements:
    get:
      tags:
        - Accounting
      summary: List cash flow statements
      operationId: list_cash_flow_statements
      parameters:
        - name: companyId
          in: path
          required: true
          description: Commenda company id.
          schema:
            type: integer
        - name: limit
          in: query
          required: false
          description: Max records to return.
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: next
          in: query
          required: false
          description: Cursor for the next page (from a previous response).
          schema:
            type: string
        - name: prev
          in: query
          required: false
          description: Cursor for the previous page.
          schema:
            type: string
        - name: include_deleted_records
          in: query
          required: false
          description: Include soft-deleted records.
          schema:
            type: boolean
        - name: return_count
          in: query
          required: false
          description: Include the total match count in the response.
          schema:
            type: boolean
        - name: period
          in: query
          required: false
          description: >-
            Roll up consecutive monthly rows into N-month buckets. Requires
            period_start[gte] and period_end[lte].
          schema:
            type: integer
        - name: currency_id[eq]
          in: query
          required: false
          description: Exact match on currency_id.
          schema:
            type: string
        - name: currency_id[in]
          in: query
          required: false
          description: Comma-separated currency_id values (OR match).
          schema:
            type: string
        - name: rootfi_integration_type[eq]
          in: query
          required: false
          description: Exact match on rootfi_integration_type.
          schema:
            type: string
        - name: rootfi_integration_type[in]
          in: query
          required: false
          description: Comma-separated rootfi_integration_type values (OR match).
          schema:
            type: string
        - name: period_start[eq]
          in: query
          required: false
          description: Exact match on period_start.
          schema:
            type: string
        - name: period_start[in]
          in: query
          required: false
          description: Comma-separated period_start values (OR match).
          schema:
            type: string
        - name: period_start[gte]
          in: query
          required: false
          description: period_start greater-than-or-equal.
          schema:
            type: string
        - name: period_start[lte]
          in: query
          required: false
          description: period_start less-than-or-equal.
          schema:
            type: string
        - name: period_end[eq]
          in: query
          required: false
          description: Exact match on period_end.
          schema:
            type: string
        - name: period_end[in]
          in: query
          required: false
          description: Comma-separated period_end values (OR match).
          schema:
            type: string
        - name: period_end[gte]
          in: query
          required: false
          description: period_end greater-than-or-equal.
          schema:
            type: string
        - name: period_end[lte]
          in: query
          required: false
          description: period_end less-than-or-equal.
          schema:
            type: string
        - name: updated_at[eq]
          in: query
          required: false
          description: Exact match on updated_at.
          schema:
            type: string
        - name: updated_at[in]
          in: query
          required: false
          description: Comma-separated updated_at values (OR match).
          schema:
            type: string
        - name: updated_at[gte]
          in: query
          required: false
          description: updated_at greater-than-or-equal.
          schema:
            type: string
        - name: updated_at[lte]
          in: query
          required: false
          description: updated_at less-than-or-equal.
          schema:
            type: string
      responses:
        '200':
          description: A paginated list of cash_flow_statements.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/CashFlowStatement'
                      total_count:
                        type: integer
                      next:
                        type: string
                        nullable: true
                      prev:
                        type: string
                        nullable: true
                    required:
                      - data
                      - total_count
                      - next
                      - prev
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
components:
  schemas:
    CashFlowStatement:
      type: object
      properties:
        rootfi_id:
          type: integer
          description: Unique identifier assigned by Commenda for this cash flow statement
        rootfi_created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was created in Commenda's system (ISO
            8601)
        rootfi_updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp when this record was last updated in Commenda's system
            (ISO 8601)
        rootfi_integration_type:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        platform_id:
          type: string
          description: >-
            Unique identifier for this cash flow statement in the source
            accounting platform
        operating_activities:
          description: >-
            The line items for operating activities of the cash flow statement
            report
          nullable: true
        investing_activities:
          description: >-
            The line items for investing activities of the cash flow statement
            report
          nullable: true
        financing_activities:
          description: >-
            The line items for financing activities of the cash flow statement
            report
          nullable: true
        cash_at_beginning_of_period:
          type: number
          nullable: true
          description: The total amount at the beginning of the period
        cash_at_end_of_period:
          type: number
          nullable: true
          description: The total amount at the end of the period
        period_start:
          type: string
          format: date-time
          nullable: true
          description: The start date of the cash flow statement report period
        period_end:
          type: string
          format: date-time
          nullable: true
          description: The end date of the cash flow statement report period
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The date and time the cash flow statement was last updated
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_integration_type
        - platform_id
      description: >-
        Cash flow statements are financial statements that show the inflow and
        outflow of cash and cash equivalents from a company's operations,
        investments, and financing activities over a specific period of time.
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````